### Constructor

# Gio ZlibDecompressor new

since: 2.24

#### Declaration [src]

    GZlibDecompressor*
    g_zlib_decompressor_new (
      GZlibCompressorFormat format
    )

#### Description [src]

Creates a new decompressor.

Available since: 2.24

#### Parameters

`format`

  Type: `GZlibCompressorFormat`

  The format to use for the compressed data.

#### Return value

Type: `GZlibDecompressor`

A new `GZlibDecompressor`.

The caller of the function takes ownership of the data, and is responsible for freeing it.